# Data Object - HostInternetScsiHbaDigestCapabilities(vim.host.InternetScsiHba.DigestCapabilities)

Property of
  HostInternetScsiHba
Extends
  DynamicData
Since
  vSphere API 4.0

## Data Object Description

The digest capabilities for this host bus adapter.

Properties

Name | Type | Description
--- | --- | ---
dataDigestSettable* | xsd:boolean | True if this host bus adapter supports the configuration of the use of data digest. Defaults to false, in which case no data digests will be used.
headerDigestSettable* | xsd:boolean | True if this host bus adapter supports the configuration of the use of header digest. Defaults to false, in which case no header digests will be used.
targetDataDigestSettable* | xsd:boolean | True if configuration of the use of data digest is supported on the targets associated with the host bus adapter. Defaults to false, in which case no data digests will be used.
targetHeaderDigestSettable* | xsd:boolean | True if configuration of the use of header digest is supported on the targets associated with the host bus adapter. Defaults to false, in which case no header digests will be used.
Properties inherited from DynamicData
None

*Need not be set
Show WSDL type definition
<complexType xmlns="http://www.w3.org/2001/XMLSchema" xmlns:vsan="urn:vsan" name="HostInternetScsiHbaDigestCapabilities"> <complexContent> <extension base="vsan:DynamicData"> <sequence> <element name="headerDigestSettable" type="xsd:boolean" minOccurs="0"/> <element name="dataDigestSettable" type="xsd:boolean" minOccurs="0"/> <element name="targetHeaderDigestSettable" type="xsd:boolean" minOccurs="0"/> <element name="targetDataDigestSettable" type="xsd:boolean" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType>